<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<!-- <script>
    function nameAbbr(fullName) {
        if (!fullName) {
            return console.log("MISSING INFORMATION");
        }
        const names = fullName.split(' ');

        if (names.length == 1) {
            return console.log("MISSING INFORMATION");
        }

        const firstName = names[0];
        const middleName = names.length > 2 ? names[1][0] + '.' : '';
        const lastName = names[names.length - 1];

        // const abbreviation = '${firstName} ${middleName} ${lastName}'.trim();

        if (abbreviation == '') {
            console.log("MISSING INFORMATION");

        } else {
            console.log(abbreviation);
        }
    }

    console.log("Abbreviate German Ariel Leiva", nameAbbr(Germán Ariel Leiva));
    nameAbbr("John Smith");
    nameAbbr(Ariel);
    nameAbbr();

</script> -->

<script>
    function abbreviateName(text) {

        let firstName = ""
        let middleName = ""
        let lastName = ""

        let components = name.split(" ")
        if (components.length == 0) {
            console.log("MISSING INFORMATION")
        }
        if (components.length > 0) {
            firstName = components[0]
        }
        if (components.length == 2) {
            lastName = components[1]
        }
        if (components.length == 3) {
            middleName = components[1]
            lastName = components[2]
        }

        return abbreviateName(firstName, middleName, lastName)
    }

    console.log("Abbreviate John Smith: ", abbreviateName("John Smith"));
    console.log("Abbreviate John Hans Smith: ", abbreviateName("John Hans Smtih"));
    console.log("Abbreviate Madonna", abbreviateName("Madonna"));

    // function abbreviation(firstName, middleName, lastName) {
    //     if (firstName == "" || lastName == "") {
    //         return "MISSING INFORMATION"
    //     }
    //     const firstInitial = firstName[0]
    //     const lastInitial = lastName[0]

    //     if (middleName != "") {
    //         return firstInitial + " " + middleName[0] + ". " + lastInitial
    //     }
    //     return firstInitial + " " + lastInitial
    // }

    // console.log(abbreviation("John","","Smith"));
    // console.log(abbreviation("John", "Hans", "Smith"));
    // console.log(abbreviation("Madonna","",""));

    function abbreviationName(text) {
        return abbreviation(components[0],components[1],components[2])
    }
</script>

</html>